<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:card_view="http://schemas.android.com/tools"
    android:fadingEdge="horizontal"
    android:orientation="vertical">

    <include layout="@layout/view_toolbar" />

    <TextView
        android:id="@+id/tvWeight"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:padding="10dp"
        android:text="WEIGHT (KG)"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textColor="@color/colorPrimaryDark"
        android:textStyle="bold"
        android:typeface="serif" />

    <!-- Edit text for entering weight with hint in kgs -->

    <android.support.design.widget.TextInputLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="10dp"
        app:passwordToggleEnabled="true">

        <android.support.design.widget.TextInputEditText
            android:id="@+id/et1"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/weight"
            android:inputType="number"
            android:maxLines="1"
            android:maxLength="3"
            android:textAppearance="@android:style/TextAppearance.Medium" />
    </android.support.design.widget.TextInputLayout>

    <!-- Text view for HEIGHT(CM)text -->
    <TextView
        android:id="@+id/tvHeight"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:padding="10dp"
        android:text="HEIGHT (CM)"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textColor="@color/colorPrimaryDark"
        android:textStyle="bold"
        android:typeface="serif" />

    <!-- Edit text for entering height with hint in cm -->
    <android.support.design.widget.TextInputLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:padding="10dp"
        app:passwordToggleEnabled="true">

        <android.support.design.widget.TextInputEditText
            android:id="@+id/et2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:hint="@string/height"
            android:inputType="number"
            android:maxLines="1"
            android:maxLength="3"
            android:textAppearance="@android:style/TextAppearance.Medium" />
    </android.support.design.widget.TextInputLayout>

    <!-- Button for calculating the formula, when pressed, with calculate written over it -->
    <Button
        android:id="@+id/ib1"
        android:layout_width="158dp"
        android:layout_height="51dp"
        android:layout_gravity="center"
        android:layout_marginTop="20dp"
        android:fadingEdge="vertical"
        android:longClickable="true"
        android:background="@drawable/capsule_sign_up"
        android:text="Calculate"
        android:textColor="@android:color/white"
        android:textSize="20sp"
        android:textStyle="bold"
        android:visibility="visible"
        android:layout_marginBottom="20dp"/>



    <!-- Text view for showing result -->
    <TextView
        android:id="@+id/tvResult"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:paddingTop="20dp"
        android:text=""
        android:textSize="22sp"

        android:textColor="#008000"/>

    <android.support.v7.widget.CardView
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_gravity="center"
        android:layout_margin="5dp"
        card_view:cardCornerRadius="2dp"
        card_view:contentPadding="10dp"
        android:visibility="gone">

        <ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fillViewport="true">

        <LinearLayout
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tvBmiClassification"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:textStyle="bold"
                android:textSize="40sp"
                android:gravity="center"
                android:textColor="@color/colorAccent"
                android:text="@string/bmi_classification"/>

            <TextView
                android:id="@+id/tvBmiLine1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:textStyle="bold"

                android:text="@string/bmi_line1"/>

            <TextView
            android:id="@+id/tvBmiLine2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="@string/bmi_line2"
            android:layout_marginTop="10dp"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tvBmiLine3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/bmi_line3"
                android:layout_marginTop="10dp"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tvBmiLine4"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/bmi_line4"
                android:layout_marginTop="10dp"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tvBmiLine5"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/bmi_line5"
                android:layout_marginTop="10dp"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tvBmiLine6"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/bmi_line6"
                android:layout_marginTop="10dp"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tvBmiLine7"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/bmi_line7"
                android:layout_marginTop="10dp"
                android:textStyle="bold"/>

            <TextView
                android:id="@+id/tvBmiLine8"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/bmi_line8"
                android:layout_marginTop="10dp"
                android:textStyle="bold"/>
        </LinearLayout>
        </ScrollView>
    </android.support.v7.widget.CardView>


</LinearLayout>